/// <reference types="react" />
import { IFlowStepSequence } from "./IFlowStepSequence";
import { FlowStepSequence } from "./FlowStepSequence";
import { FlowStepOutputInstructions } from "./FlowStepOutputInstructions";
export interface ICandidateSequence extends IFlowStepSequence {
    createSequence(): FlowStepSequence;
    shouldRender(): boolean;
}
export declare class CandidateSequence implements ICandidateSequence {
    readonly sequenceType = "path_candidate";
    _id: string;
    x: number;
    y: number;
    name?: string | undefined;
    instruction: FlowStepOutputInstructions;
    constructor(instruction: FlowStepOutputInstructions);
    getElementId(): string;
    renderEditUI(): JSX.Element | null;
    createSequence(): FlowStepSequence;
    get desiredX(): number;
    set desiredX(value: number);
    get desiredY(): number;
    set desiredY(value: number);
    reset(): void;
    shouldRender(): boolean;
}
